countUrss <-
function(bamPath, bamFile, asPath, asFile, absPath) {
    asDat <- read.table(paste(asPath, asFile, sep = ""), sep = "\t", header = FALSE)
    colnames(asDat)[1:4] <- c("CHR", "START", "END", "RSID")

    bamFile <- paste(bamPath, bamFile, sep = "")
    asDatSiteNumUrss <- list()
    for(i in 1:nrow(asDat)) {
        cat(paste("."))
        if(i == 25) {
            cat(paste("\n"))
        }
        countReadsPosStrand <- paste("samtools view -b -F 0x10", bamFile, paste(asDat[i,]$CHR, ":", asDat[i,]$END, "-", asDat[i,]$END, sep = ""), "| samtools mpileup -q 10 -O -| grep", asDat[i,]$END)

        countReadsNegStrand <- paste("samtools view -b -f 0x10", bamFile, paste(asDat[i,]$CHR, ":", asDat[i,]$END, "-", asDat[i,]$END, sep = ""), "| samtools mpileup -q 10 -O -| grep", asDat[i,]$END)

        countsPos <- unlist(strsplit(system(countReadsPosStrand, intern = TRUE), "\t"))
        countsNeg <- unlist(strsplit(system(countReadsNegStrand, intern = TRUE), "\t"))

        if(is.null(countsPos)) {
            countsPos <- rep(NA, 7)
        }

        if(is.null(countsNeg)) {
            countsNeg <- rep(NA, 7)
        }

        siteDat <- data.frame(rbind(countsPos, countsNeg))
        rownames(siteDat) <- c("pos", "neg")
        colnames(siteDat) <- c("chr", "pos", "ref", "depth", "genotype", "quality", "readPos")

        ##siteDatGenotype <- c(unlist(strsplit(as.character(siteDat$genotype)[1], "")), unlist(strsplit(as.character(siteDat$genotype)[2], "")))
        ##siteDatGenotype <- siteDatGenotype[!is.na(siteDatGenotype)]

        siteDatPos <- c(as.numeric(unlist(strsplit(as.character(siteDat$readPos)[1], ","))), -1*as.numeric(unlist(strsplit(as.character(siteDat$readPos)[2], ","))))
        siteDatPos <- siteDatPos[!is.na(siteDatPos)]

        siteDatNumUrss <- c(as.character(asDat[i,]$RSID), length(siteDatPos), length(table(siteDatPos)))
        names(siteDatNumUrss) <- c("RSID", "COUNT", "NURSS")

        asDatSiteNumUrss[[i]] <- siteDatNumUrss
    }
    asDatSiteNumUrss <- do.call(rbind, asDatSiteNumUrss)

    cat(paste(">>", paste(absPath, asFile, ".urss.txt", sep = ""), "\n"))
    write.table(asDatSiteNumUrss, paste(absPath, asFile, ".urss.txt", sep = ""), row.names = FALSE, quote = FALSE, sep = "\t")
}
